* {
  margin: 0;
  font-family: 'Roboto', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: 'Roboto', sans-serif;
}

:root {
  --toastify-color-light: #fff;
  --toastify-color-dark: #121212;
  --toastify-color-info: #757575 !important;
  --toastify-color-success: #757575 !important;
  --toastify-color-warning: #f1c40f;
  --toastify-color-error: #e74c3c;
  --toastify-color-transparent: rgba(255, 255, 255, 0.7);

  --toastify-icon-color-info: var(--toastify-color-info);
  --toastify-icon-color-success: var(--toastify-color-success);
  --toastify-icon-color-warning: var(--toastify-color-warning);
  --toastify-icon-color-error: var(--toastify-color-error);

  --toastify-toast-width: 360px;
  --toastify-toast-background: #fff;
  --toastify-toast-min-height: 64px;
  --toastify-toast-max-height: 800px;
  --toastify-font-family: sans-serif;
  --toastify-z-index: 9999;

  --toastify-text-color-light: #757575;
  --toastify-text-color-dark: #fff;

  /* //Used only for colored theme */
  --toastify-text-color-info: #fff;
  --toastify-text-color-success: #fff;
  --toastify-text-color-warning: #fff;
  --toastify-text-color-error: #fff;

  --toastify-spinner-color: #616161;
  --toastify-spinner-color-empty-area: #e0e0e0;

  /* // Used when no type is provided */
  /* // toast("**hello**") */
  --toastify-color-progress-light: linear-gradient(
    to right,
    #4cd964,
    #5ac8fa,
    #007aff,
    #34aadc,
    #5856d6,
    #ff2d55
  );
  /* // Used when no type is provided */
  --toastify-color-progress-dark: #bb86fc;
  --toastify-color-progress-info: var(--toastify-color-info);
  --toastify-color-progress-success: var(--toastify-color-success);
  --toastify-color-progress-warning: var(--toastify-color-warning);
  --toastify-color-progress-error: var(--toastify-color-error);
}

.main {
  background-color: #ededed;
  min-height: 100vh !important;
  height: 100% !important;
}

.bg-main {
  background-color: #ededed;
}

.border-bottom-2 {
  border-bottom: 2px solid #b8b8b8 !important;
}

.btn-light__light {
  border-radius: 4px;
  background-color: #ffffff;
  border-color: #ffffff;
  color: #000;
}

.btn-light__light:hover {
  background-color: #f9fafb;
  border-color: #f9fafb;
  border-radius: 4px;
  color: #000;
}

.btn-secondary__light {
  border-radius: 4px !important;
  background-color: #e4e4e4 !important;
  border-color: #e4e4e4 !important;
  color: #000 !important;
}

.btn-secondary__light:hover {
  border-radius: 4px !important;
  background-color: #cdcdcd !important;
  border-color: #cdcdcd !important;
  color: #000 !important;
}

.btn-light__light {
  border-radius: 4px !important;
  background-color: #fff !important;
  border-color: #b8b8b8 !important;
  color: #000 !important;
}

.btn-secondary__light:hover {
  border-radius: 4px !important;
  background-color: #cdcdcd !important;
  border-color: #cdcdcd !important;
  color: #000 !important;
}

.breadcrumb-text-secondary {
  color: #757575;
}

.breadcrumb-text-secondary:hover {
  color: #544f4f !important;
}

.breadcrumb-text-secondary:active {
  color: #969696;
}

.icon-white {
  filter: invert(100%) sepia(3%) saturate(7586%) hue-rotate(203deg)
    brightness(200%) contrast(100%);
}

.breadcrumb-separator {
  margin-top: -3px;
  filter: invert(19%) sepia(54%) saturate(16%) hue-rotate(314deg)
    brightness(107%) contrast(88%);
}

.mt-2pt {
  margin-top: 2rem !important;
}

.search-icon {
  background: url('/public/Interview Assets/Search.svg');
  float: right;
}

.border-left-0 {
  border-left: 0px;
}

.border-right-0 {
  border-right: 0px;
}

.border-darken-1 {
  border: 1px solid #c5c5c5 !important;
}

.select-secondary-light-1 {
  border-top-right-radius: 0.4rem !important;
  border-bottom-right-radius: 0.4rem !important;
  background-color: #b8b8b8 !important;
  margin-left: -4px !important;
}

.select-area {
  border: 1px solid #b8b8b8 !important;
  border-radius: 0.4rem !important;
}

@media (min-width: 280px) and (max-width: 575.98px) {
  .select-width {
    width: 32% !important;
  }
  .d-xs-none {
    display: none !important;
  }
}

@media (min-width: 576px) and (max-width: 991.98px) {
  .select-width {
    width: 24% !important;
  }
  .custom-container-md {
    max-width: 540px !important;
  }
}

@media (min-width: 768px) {
}

@media (min-width: 992px) {
  .select-width {
    width: 39% !important;
  }
}
@media (min-width: 1199.98px) {
  .character-name {
    font-size: 14px;
  }
}

@media (min-width: 991.98px) and (max-width: 1199.98px) {
  .character-name {
    font-size: 12px;
  }
}

@media (min-width: 768px) {
}

@media (min-width: 992px) {
  .select-width {
    width: 39% !important;
  }
  .card-width {
    width: 20% !important;
  }
}

/* @media (min-width: 992px) and (max-width: 1199.98px) {
  .card-width {
    width: 20% !important;
  }
} */

.toggle-link {
  border-color: #b8b8b8 !important;
  background-color: #ffffff !important;
  color: #000 !important;
}

.card-header-secondary {
  background-color: #969696 !important;
  border-bottom-color: #969696 !important;
}

.card-header-danger {
  background-color: #c53030 !important;
  border-bottom-color: #c53030 !important;
}

.card-header-success {
  background-color: #2f855a !important;
  border-bottom-color: #2f855a !important;
}

.card-header-dark {
  background-color: #3b3b3b !important;
  border-bottom-color: #3b3b3b !important;
}

.toggle-secondary {
  background-color: #b8b8b8 !important;
  border-color: #b8b8b8 !important;
}

.card-top-rounded {
  border-top-left-radius: 8px !important;
  border-top-right-radius: 8px !important;
}

.card-rounded {
  border-radius: 8px !important;
}

.card-body-width {
  width: 95% !important;
}

.search-left-radius {
  border-top-left-radius: 8px !important;
  border-bottom-left-radius: 8px !important;
  box-shadow: 0 0 0 0.25rem rgb(149 149 149 / 0%) !important;
}

.search-right-radius {
  border-top-right-radius: 8px !important;
  border-bottom-right-radius: 8px !important;
}

hr:not([size]) .line-size {
  height: 2px;
}

.icon-4pt {
  font-size: 4px;
}
.icon-8pt {
  font-size: 8px;
}
.icon-12pt {
  font-size: 12px;
}
.icon-16pt {
  font-size: 16px;
}
.icon-24pt {
  font-size: 24px;
}
.icon-32pt {
  font-size: 32px;
}
.icon-64pt {
  font-size: 64px;
}
.icon-112pt {
  font-size: 112px;
}
.icon-128pt {
  font-size: 128px;
}

.popover-arrow {
  display: none !important;
}

.fixed-bottom-bg-secondary__light {
  background: linear-gradient(
    180deg,
    rgba(237, 237, 237, 0) 0%,
    #ededed 29.75%
  );
}

.btn-faction__light {
  background-color: #d4d4d4 !important;
  border-color: #d4d4d4 !important;
  color: #757575 !important;
}

.svg-grayscale {
  filter: invert(0.5);
}

.svg-white {
  filter: invert(1);
}

.input-data {
  height: 40px;
  width: 100%;
  position: relative;
}

.input-data input {
  height: 100%;
  width: 100%;
  border: none;
  background: transparent;
  font-size: 16px;
  border-bottom: 2px solid #b8b8b8;
  outline: none;
}

.input-data input:focus ~ label,
.input-data input:valid ~ label {
  transform: translateY(-20px);
  font-size: 13px;
  color: #757575;
}

.input-data label {
  position: absolute;
  bottom: 10px;
  left: 0;
  color: gray;
  pointer-events: none;
  transition: all 0.3s ease;
}

.input-data .underline {
  position: absolute;
  bottom: 0px;
  height: 2px;
  width: 100%;
  background: red;
}

.input-data .underline:before {
  position: absolute;
  content: '';
  height: 100%;
  width: 100%;
  background: #b8b8b8;
  transform: scaleX(0);
  transition: transform 0.3s ease;
}

.input-data input:focus ~ .underline:before,
.input-data input:valid ~ .underline:before {
  transform: translateX(1);
}

.btn-danger-remove {
  background: #742a2a !important;
}

.btn-success-remove {
  background: #22543d !important;
}

.btn-deck-dark {
  background: #232323 !important;
  opacity: 0.75;
}

.icon-watermark {
  position: absolute;
  width: 132px;
  height: 132px;
  top: -15px;
  right: -11px;
}

.toast-secondary {
  background: #aaa !important;
  color: #fff !important;
  box-shadow: 0 1px 8px 0 rgb(0 0 0 / 10%), 0 2px 3px 0 rgb(0 0 0 / 5%) !important;
}

.toast-progress-bar {
  background: #ededed !important;
}

.paginate-item {
  color: #969696;
  background: #ededed;
  border: 1px solid #b8b8b8;
  border-radius: 4px;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

.min-vh-50 {
  min-height: 50vh;
}
.vh-50 {
  height: 50vh;
}

.min-vh-75 {
  min-height: 75vh;
}
.vh-75 {
  height: 75vh;
}

.bg-login {
  background: #757575;
}

.delete-confirm {
  background-color: #969696 !important;
  border-color: #969696 !important;
}

.delete-cancel {
  /* background-color: #969696 !important; */
  border-color: #c7c7c7 !important;
}

.popover-selection:hover {
  animation: popover_option 1.3s ease 0s 1 normal forwards;
}

@keyframes popover_option {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

.cards-animation {
  animation: cards_animation 1s ease 0s 1 normal forwards;
}

@keyframes cards_animation {
  0% {
    opacity: 0;
    transform: translateY(250px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.overflow-name {
  font-size: 24px;
  color: var(--white);
  /* height: 24px; */
  overflow: hidden;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  text-overflow: ellipsis;
  -webkit-line-clamp: 1;
}
